Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.embedder
Class EmbedderClassLoader

    java.lang.Object
      java.lang.ClassLoader
          java.security.SecureClassLoader
              java.net.URLClassLoader
                  org.jbehave.core.embedder.EmbedderClassLoader

    public class EmbedderClassLoader

extends URLClassLoader

EmbedderClassLoader is a URLClassLoader with a specified list of classpath elements. It also provides a utility method `newInstance(Class, String)` to instantiate generic types.

Nested Class Summary
`static class` | `EmbedderClassLoader.InstantiationFailed`
`static class` | `EmbedderClassLoader.InvalidClasspathElement`

Constructor Summary
`EmbedderClassLoader(ClassLoader parent)`
`EmbedderClassLoader(List<String> classpathElements)`
`EmbedderClassLoader(List<String> classpathElements, ClassLoader parent)`

Method Summary
`boolean` | `isAbstract(String className)`
`
`<T> T`
` | `newInstance(Class<T> type, String className)`
`String` | `toString()`

Methods inherited from class java.net.URLClassLoader
`addURL, definePackage, findClass, findResource, findResources, getPermissions, getURLs, newInstance, newInstance`

Methods inherited from class java.security.SecureClassLoader
`defineClass, defineClass`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EmbedderClassLoader

    public EmbedderClassLoader(ClassLoader parent)

### EmbedderClassLoader

    public EmbedderClassLoader(List<String> classpathElements)

### EmbedderClassLoader

    public EmbedderClassLoader(List<String> classpathElements,
                               ClassLoader parent)

Method Detail

### newInstance

    public <T> T newInstance(Class<T> type,
                             String className)

### isAbstract

    public boolean isAbstract(String className)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.